VismaBouwsoftAPICalls.v1_GET_OrderVariables Method
v1_GET_OrderVariables() as String

This API call is used to get fields of a(n) OrderVariable(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /OrderVariables/
or
API Path: /OrderVariables/{id}
or
API Path: /OrderVariables/FieldInfo/

You can make this API call:
* without the key field id to get a list of OrderVariables
* with the key field id as the path parameter (the specific id of the OrderVariable you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
order_id 1 tpLong 0 Yes Yes No
order_nr 1 tpLong 0 No No No
name 2 tpString 5 Yes Yes No
description 2 tpString 0 No Yes No
value 4 tpDouble 0 No Yes No
source 1 tpLong 0 No No No
source_parent_id 1 tpLong 0 No No No

/OrderVariables/

API Path: /OrderVariables/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/OrderVariables

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: GrjfWxfAAtzSffkPGtzRqOIrflljIOVOjlDtzVPrPGOGmOmAjt
ParameterName: Clientnr, ParameterValue: 115

Query Parameters :
ParameterName: filter, ParameterValue:
ParameterName: limit, ParameterValue: 5
ParameterName: nextid, ParameterValue:
ParameterName: sort, ParameterValue: id

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–4/91”, “Records”: [
  {
    "id": 393,
    "order_id": 122,
    "order_nr": 20120050,
    "name": "MAL",
    "description": "Muur A lengte (m)",
    "value": 5
  },
  {
    "id": 394,
    "order_id": 122,
    "order_nr": 20120050,
    "name": "MAB",
    "description": "Muur A breedte (m)",
    "value": 0.3
  }
,

]
}

https://ra.bouwsoft.be/api/v1/OrderVariables

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: jmrfWxfmIfzSfDkVjtzRqODUfIUjIOtAjtVtzGbjIbbGAOUOGU
ParameterName: Clientnr, ParameterValue: 115

Query Parameters :
ParameterName: filter, ParameterValue: order_id eq 122

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–6/7”, “Records”: [
  {
    "id": 393,
    "order_id": 122,
    "order_nr": 20120050,
    "name": "MAL",
    "description": "Muur A lengte (m)",
    "value": 5
  },
  {
    "id": 394,
    "order_id": 122,
    "order_nr": 20120050,
    "name": "MAB",
    "description": "Muur A breedte (m)",
    "value": 0.3
  }
,

]
}

/OrderVariables/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/OrderVariables/393

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: jmrfWxfmIfzSfDkVjtzRqODUfIUjIOtAjtVtzGbjIbbGAOUOGU
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 393,
    "order_id": 122,
    "order_nr": 20120050,
    "name": "MAL",
    "description": "Muur A lengte (m)",
    "value": 5
  }
]
}

/OrderVariables/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/OrderVariables/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: ffjfWxfODjzSfPGtOtzRqUUUfkGUIOrmjIAtzOttOjVGrUAkrO
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "order_id",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": true,
    "writeable": true,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "order_nr",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  }
,

]